const findOne = async (pool, readModelName, tableName, searchExpression, fieldList) => {
  await pool.ensureAffectedOperation('resolver', readModelName);
  const sqlQuery = pool.makeSqlQuery(pool, readModelName, 'findOne', tableName, searchExpression, fieldList);
  const rows = await pool.inlineLedgerRunQuery(sqlQuery);

  if (Array.isArray(rows) && rows.length > 0) {
    return pool.convertResultRow(rows[0], fieldList);
  }

  return null;
};

export default findOne;
//# sourceMappingURL=find-one.js.map