"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const count = async (pool, readModelName, tableName, searchExpression) => {
  await pool.ensureAffectedOperation('resolver', readModelName);
  const sqlQuery = pool.makeSqlQuery(pool, readModelName, 'count', tableName, searchExpression);
  const rows = await pool.inlineLedgerRunQuery(sqlQuery);

  if (Array.isArray(rows) && rows.length > 0 && rows[0] != null && Number.isInteger(+rows[0].Count)) {
    return +rows[0].Count;
  }

  return 0;
};

var _default = count;
exports.default = _default;
//# sourceMappingURL=count.js.map