"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const MAX_DISCONNECT_TIME = 10000;

const disconnect = async pool => {
  if (pool.connection != null) {
    let timeout = null;

    try {
      await Promise.race([new Promise(resolve => {
        timeout = setTimeout(resolve, MAX_DISCONNECT_TIME);
      }), pool.connection.end()]);
    } catch (err) {} finally {
      if (timeout != null) {
        clearTimeout(timeout);
      }
    }
  }
};

var _default = disconnect;
exports.default = _default;
//# sourceMappingURL=disconnect.js.map