"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const find = async (pool, readModelName, tableName, searchExpression, fieldList, sort, skip, limit) => {
  await pool.ensureAffectedOperation('resolver', readModelName);
  const sqlQuery = pool.makeSqlQuery(pool, readModelName, 'find', tableName, searchExpression, fieldList, sort, skip, limit);
  const inputRows = await pool.inlineLedgerRunQuery(sqlQuery);
  const rows = [];

  for (let idx = 0; idx < inputRows.length; idx++) {
    rows[idx] = pool.convertResultRow(inputRows[idx], fieldList);
  }

  return rows;
};

var _default = find;
exports.default = _default;
//# sourceMappingURL=find.js.map